org.apache.solr.client.solrj.request

## Interface CollectionApiMapping.CommandMeta

All Known Implementing Classes:
  CollectionApiMapping.ConfigSetMeta, CollectionApiMapping.Meta, CoreApiMapping.Meta

Enclosing class:
  CollectionApiMapping

    public static interface CollectionApiMapping.CommandMeta

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`CollectionApiMapping.V2EndPoint` `getEndPoint()`
`SolrRequest.METHOD` `getHttpMethod()` the http method supported by this command
`String` `getName()`
`default Collection<String>` `getParamNames(CommandOperation op)`
`default String` `getParamSubstitute(String name)`

### Method Detail

#### getName

    String getName()

#### getHttpMethod

    SolrRequest.METHOD getHttpMethod()

the http method supported by this command

#### getEndPoint

    CollectionApiMapping.V2EndPoint getEndPoint()

#### getParamNames

    default Collection<String> getParamNames(CommandOperation op)

#### getParamSubstitute

    default String getParamSubstitute(String name)